summaryrefslogtreecommitdiffstats
path: root/go
diff options
context:
space:
mode:
authorroot <root@cband>2014-01-07 09:22:05 -0600
committerroot <root@cband>2014-01-07 09:22:05 -0600
commit5a51adde8b322d34722f50702d6bd553382bc623 (patch)
tree7e3515d6986e19028c799fbd0c5316eee4fb997c /go
parente0350203624556364dd240c1470c0faa0bc95160 (diff)
go: fix docker deployment port assignment
Diffstat (limited to 'go')
-rwxr-xr-xgo/t/docker/docker_deploy.sh2
-rw-r--r--go/t/docker/dockertest/deploy2
2 files changed, 2 insertions, 2 deletions
diff --git a/go/t/docker/docker_deploy.sh b/go/t/docker/docker_deploy.sh
index 25597bc5..7ed0de58 100755
--- a/go/t/docker/docker_deploy.sh
+++ b/go/t/docker/docker_deploy.sh
@@ -10,7 +10,7 @@ i=0
max_wait=20
echo "waiting for install (takes about 3 minutes)"
sleep 240
-while ! curl -s localhost:$rnd_port >/dev/null;do
+while ! curl -s localhost:$rnd_port >/dev/null ;do
i=$((i+1))
test $i -gt $max_wait && echo "timeout for installation reached, bailing out" && exit 1
echo "http port not yet reachable ($i of $max_wait). waiting"
diff --git a/go/t/docker/dockertest/deploy b/go/t/docker/dockertest/deploy
index 355e667b..2d26c8fe 100644
--- a/go/t/docker/dockertest/deploy
+++ b/go/t/docker/dockertest/deploy
@@ -5,4 +5,4 @@ apt-get -y install redis-server nodejs npm
npm config set registry http://registry.npmjs.org/
cd /krebs/go
npm install
-node .
+PORT=80 node .